Subject: Re: interdependencies with cxgb4 and iw_cxgb4

From: Leon Romanovsky <[email-masked]>
Date: Tue, 20 Mar 2018 16:03:21 +0200

On Tue, Mar 20, 2018 at 08:47:04AM -0500, Steve Wise wrote:
> > From: Steve Wise <[email-masked]>
> > Date: Mon, 19 Mar 2018 14:50:57 -0500
> >
> > > Let me ask a dumb question:  Why cannot one of the maintaners pull the
> > > commit from the other mainainer's git repo directly?  IE why have this
> > > third trusted/signed git repo that has to be on k.o, from which both
> > > maintainers pull?  If one of you can pull it in via a patch series,
> > > like you do for all other patches, and then notify the other
> > > maintainer to pull it from the first maintainers' repo if the series
> > > meets the requirements that it needs to be in both maintainers'
> > > repositories?  This avoids adding more staging git repos on k.o.  But
> > > probably I'm missing something...
> >
> > Tree A may not want all of tree B's changes, and vice versa.
>
> I was thinking the special commit would go into a branch that was based on,
> say rc1 or rc2 of one of the maintainers.  Then both maintainers pull that
> into their -next branch.  Would that work?

Steve,

It is more or less what we are doing with our shared PR, we just
"offloaded" the overhead of creating and maintaining that special
branch from maintainers. I don't think that anyone here will say no
to you to create that special branch from time to time.

Thanks

>
> --
> To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html